%global commit f939f38514e9553869e6b7dede0ac0b4bf5647a1
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global alphatag 20150605git

Name: openstack-heat-templates
Version: 0
Release: 0.8.%{alphatag}%{?dist}
Summary: Heat software config templates and DIB elements
Group: System Environment/Base
License: ASL 2.0
URL: https://github.com/openstack/heat-templates
Source0: https://github.com/openstack/heat-templates/archive/%{commit}/heat-templates-%{commit}.tar.gz

#
# patches_base=f939f38514e9553869e6b7dede0ac0b4bf5647a1+1
#
Patch0001: 0001-Move-deployed-dir-from-var-run-to-var-lib.patch
Patch0002: 0002-Add-script-so-that-deployments-won-t-get-rerun.patch

BuildArch: noarch

%description
Heat software config templates and image building elements

%prep
%setup -qn heat-templates-%{commit}

%patch0001 -p1
%patch0002 -p1

%build

%install
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -aR hot/software-config %{buildroot}%{_datadir}/%{name}

%files
%doc LICENSE README.rst
%{_datadir}/%{name}

%changelog
* Tue Dec 01 2015 Mike Burns <mburns@redhat.com> 0-0.8.20150605git
- Add script so that deployments won't get rerun rhbz#1278181

* Thu Nov 12 2015 Mike Burns <mburns@redhat.com> 0-0.7.20150605git
- Move deployed dir from /var/run to /var/lib

* Thu May 28 2015 Jon Schlueter <jschluet@redhat> 0-0.5.20141111git
- cleanup patch leftover for hot/software-config/elements/README.rst

* Fri May 08 2015 Mike Burns <mburns@redhat.com> 0-0.4.20141111git
- Merge "Add missing SCRIPTDIR variable"
- Add missing SCRIPTDIR variable
- Some minor changes to container boot-config
- Merge "Boot config to deploy containers"
- Add some useful outputs to the asg example template
- Boot config to deploy containers
- Merge "Add env_file support for docker-compose hook"
- Add env_file support for docker-compose hook
- Merge "heat-config-kubelet hook"
- heat-config-kubelet hook
- Merge "Add sample multi region template"
- Merge "Fix puppet template "file patch parse error""
- Merge "Fix hiera deployment JSON generation"
- Fix hiera deployment JSON generation
- Add sample multi region template
- Fix puppet template "file patch parse error"
- Fix AttributeError caused by hook-ansible
- Added required tool property to resource
- Merge "pip_mirror param for test image boot config"
- Sample heat templates for keystone resources
- Merge "Update example template for 'docker-compose' hook"
- Merge "Remove experimental 'heat-config-docker' hook"
- pip_mirror param for test image boot config
- Update example template for 'docker-compose' hook
- Remove experimental 'heat-config-docker' hook
- Merge "Build selinux-permissive test images"
- Build selinux-permissive test images
- Merge "heat-config-docker-compose hook"
- heat-config-docker-compose hook
- Datestamp the generated test image
- Merge "Add network parameter to templates"
- Add network parameter to templates
- Merge "Boot config environment for test images"
- Merge "Elements for building a heat test image"
- Merge "Boot config for installing software-config agent"
- Boot config environment for test images
- Elements for building a heat test image
- Boot config for installing software-config agent
- Merge "Start of docker hook unit tests"
- Use relative path for cfn-init
- Start of docker hook unit tests
- Remove quotation marks of resource type
- Merge "Added Puppet Agent HOT"
- heat-config-notify support deploy_signal_verb
- Add python setup config file
- Merge "Install generic latest puppet release repository"
- Install generic latest puppet release repository
- Fix ntp parameters in os-apply-config example
- Add an example of combined deployment and user-data
- Add example of SoftwareConfig driving os-apply-config
- Merge "Correct unresolved reference 'true' and 'false'"
- Correct unresolved reference 'true' and 'false'
- Write docker operations log to deploy_stdout/stderr
- Merge "Remove underscore in autoscaling group name"
- Fix broken heat-config-notify
- Merge "Break out signalling heat-config-notify command"
- Fixes circular dependency check and alarm action
- Break out signalling heat-config-notify command
- Write each deployed config json to file
- Merge "heat-config-puppet: support hiera"
- heat-config-puppet: support hiera
- Merge "Fix file exists asserts"
- Fix file exists asserts
- Merge "Fix env parameters for os_node.yaml"
- Fix env parameters for os_node.yaml
- Merge "Docker hook handle DELETE action"
- Fix description indent
- Merge "Truncate last_metadata file dumped by cfn-init hook"
- Merge "Fix docker hook README formatting"
- Merge "Sample to show how to get server console url"
- Merge "Enable script hook to handle Json input"
- Sample to show how to get server console url
- Fix docker hook README formatting
- Remove underscore in autoscaling group name
- Enable script hook to handle Json input
- Docker hook handle DELETE action
- Merge "Minor fixes to docker hook"
- Merge "Add 'name' deployment property to example template"
- Minor fixes to docker hook
- Merge "Rename non-template example-container-config.yaml"
- Add 'name' deployment property to example template
- Merge "Run testr init if required"
- Rename non-template example-container-config.yaml
- Run testr init if required
- Merge "Add in-instance docker software config hook"
- Truncate last_metadata file dumped by cfn-init hook
- Add in-instance docker software config hook
- Added Puppet Agent HOT

* Tue Nov 11 2014 Jeff Peeler <jpeeler@redhat.com> 0-0.3.20141111git
- Rebase to 5eb75ccc5132b6e4e0af05ec9d30e287311901ff
- Removed everything except software-config
- Removed unnecessary requires and obsoletes

* Mon Apr  7 2014 Jeff Peeler <jpeeler@redhat.com> 0-0.3.20140407git
- Rebase to 65a4f8bebc72da71c616e2e378b7b1ac354db1a3

* Fri Mar 7 2014 Jeff Peeler <jpeeler@redhat.com> 0-0.3.20140307git
- Rebase to e19e827ddfcc174dd0821f54d6af036e0a330e1e

* Thu Jan 23 2014 Jeff Peeler <jpeeler@redhat.com> 0-0.2.20140106git
- fix libvirt requires for el6

* Mon Jan 6 2014 Steven Dake <sdake@redhat.com> 0-0.1.20140106git
- Improvements based upon review comments

* Thu Dec 12 2013 Steven Dake <sdake@redhat.com> 0-0.1.20131212git
- Improvements from review comments

* Thu Sep 5 2013 Steven Dake <sdake@redhat.com> 0.0.1-1
- Initial heat-templates rpm
